Freeciv-3.1: universals_u Union Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
universals_u Union Reference

`#include <fc_types.h>`

## Data Fields

struct advance * | advance
struct government * | govern
const struct impr_type * | building
struct nation_type * | nation
struct nation_type * | nationality
struct specialist * | specialist
struct terrain * | terrain
struct unit_class * | uclass
const struct unit_type * | utype
struct extra_type * | extra
struct achievement * | achievement
struct nation_group * | nationgroup
struct nation_style * | style
struct action * | action
struct goods_type * | good
enum ai_level | ai_level
enum citytile_type | citytile
enum citystatus_type | citystatus
int | minsize
int | minculture
int | minforeignpct
int | minyear
int | mincalfrag
Output_type_id | outputtype
int | terrainclass
int | terrainalter
int | unitclassflag
int | unitflag
int | terrainflag
int | techflag
int | roadflag
int | extraflag
int | diplrel
enum ustate_prop | unit_state
enum unit_activity | activity
enum impr_genus_id | impr_genus
int | minmoves
int | max_tile_units
int | minveteran
int | min_hit_points
int | age
int | min_techs
enum topo_flag | topo_property
ssetv | ssetval

## Detailed Description

Definition at line 595 of file fc_types.h.

## Field Documentation

## ◆ achievement

struct achievement* universals_u::achievement

Definition at line 606 of file fc_types.h.

Referenced by are_universals_equal(), tab_achievement::edit_effects(), is_achievement_needed(), is_achievement_req_active(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ action

struct action* universals_u::action

Definition at line 609 of file fc_types.h.

Referenced by action_found(), are_universals_equal(), is_action_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ activity

enum unit_activity universals_u::activity

Definition at line 632 of file fc_types.h.

Referenced by are_universals_equal(), is_activity_req_active(), req_text_insert(), unit_activity_found(), universal_by_number(), universal_is_legal_in_requirement(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ advance

struct advance* universals_u::advance

Definition at line 596 of file fc_types.h.

Referenced by are_universals_equal(), req_edit::clear_selected(), tab_tech::edit_effects(), is_tech_needed(), is_tech_req_active(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ age

int universals_u::age

Definition at line 638 of file fc_types.h.

Referenced by are_universals_equal(), is_age_req_active(), req_text_insert(), tri_req_active_turns(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ ai_level

enum ai_level universals_u::ai_level

Definition at line 612 of file fc_types.h.

Referenced by are_universals_equal(), is_ai_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ building

const struct impr_type* universals_u::building

Definition at line 598 of file fc_types.h.

Referenced by add_target_to_worklist(), adjust_ai_unit_choice(), adjust_improvement_wants_by_effects(), adv_choice_rule_name(), advisor_choose_build(), are_prods_same_class(), are_universals_equal(), building_advisor(), building_advisor_choose(), can_city_build_direct(), can_city_build_later(), can_city_build_now(), can_city_sell_universal(), cell_render_func(), change_build_target(), choose_build_target(), cid_decode(), cid_encode(), city_build_building(), city_building_present(), city_can_buy(), city_change_production_penalty(), city_choose_build_default(), city_dialog_update_building(), city_dialog_update_improvement_list(), city_increase_size(), city_production_buy_gold_cost(), city_production_caravan_shields_init(), city_production_gets_caravan_shields(), city_production_has_flag(), city_production_name_translation(), city_select_building_callback(), city_select_building_callback(), city_turn_notify(), city_turns_to_build(), city_worklist_commit(), cityrep_buy(), client_change_all(), clipboard_paste_production(), collect_already_built_targets(), collect_buildable_targets(), collect_eventually_buildable_targets(), collect_production_targets(), dai_build_adv_override(), dai_can_requirement_be_met_in_city(), dai_choose_help_wonder(), dai_city_choose_build(), dai_spend_gold(), city_widget::display_list_menu(), drag_begin(), economy_report_command_callback(), economy_report_selection_callback(), tab_building::edit_effects(), get_city_dialog_production_full(), get_city_dialog_production_row(), get_current_construction_bonus(), get_prod_complete_string(), get_production_name(), get_target_help_data(), get_tooltip(), help_callback(), help_type_by_requirement(), impr_contra_genus(), improvement_found(), is_building_needed(), is_building_req_active(), is_req_knowable(), is_req_preventing(), is_req_unchanging(), military_advisor_choose_build(), name_and_sort_items(), city_production_delegate::paint(), city_production_model::populate(), process_attacker_want(), production_help(), real_city_report_dialog_update_city(), really_handle_city_buy(), redraw_city_dialog(), req_text_insert(), sanity_check_req_individual(), city_widget::select_building_something(), select_impr_or_unit_callback(), select_impr_or_unit_callback(), eco_report::selection_changed(), eco_report::sell_buildings(), eco_report::sell_redundant(), set_global_worklist(), progress_bar::set_pixmap(), sg_load_player_city(), should_force_recalc(), tactical_req_cb(), target_get_section(), unchanging_building(), universal_build_shield_cost(), universal_kind_values(), universal_name_translation(), universal_rule_name(), universal_value_initial(), city_dialog::update_improvements(), upgrade_building_prod(), wl_help_from_iter(), wonder_benefit(), worklist_change_build_target(), worklist_init(), worklist_item_postpone_req_vec(), worklist_peek_ith(), and worklist_remove().

## ◆ citystatus

enum citystatus_type universals_u::citystatus

Definition at line 614 of file fc_types.h.

Referenced by are_universals_equal(), is_citystatus_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ citytile

enum citytile_type universals_u::citytile

Definition at line 613 of file fc_types.h.

Referenced by are_universals_equal(), city_tile_found(), enabler_first_self_contradiction(), enabler_tile_tgt_local_diplrel_implies_claimed(), is_citytile_req_active(), local_dipl_rel_action_cache_set(), local_dipl_rel_tile_other_tgt_action_cache_set(), req_text_insert(), tgt_citytile_act_cache_set(), unchanging_citytile(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), universal_value_initial(), and utype_may_act_tgt_city_tile().

## ◆ diplrel

int universals_u::diplrel

Definition at line 629 of file fc_types.h.

Referenced by are_requirements_contradictions(), are_universals_equal(), diplrel_found(), diplrel_req_contradicts(), helptext_unit(), is_diplrel_req_active(), is_diplrel_tile_o_req_active(), is_diplrel_tile_req_active(), is_diplrel_unitany_o_req_active(), is_diplrel_unitany_req_active(), local_dipl_rel_action_cache_set(), local_dipl_rel_tile_other_tgt_action_cache_set(), req_from_str(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ extra

struct extra_type* universals_u::extra

Definition at line 605 of file fc_types.h.

Referenced by are_universals_equal(), tab_extras::edit_effects(), extra_type_found(), is_extra_needed(), is_extra_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ extraflag

int universals_u::extraflag

Definition at line 628 of file fc_types.h.

Referenced by are_universals_equal(), extra_type_found(), is_extraflag_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ good

struct goods_type* universals_u::good

Definition at line 610 of file fc_types.h.

Referenced by are_universals_equal(), tab_good::edit_effects(), is_good_needed(), is_good_req_active(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ govern

struct government* universals_u::govern

Definition at line 597 of file fc_types.h.

Referenced by are_universals_equal(), dai_can_requirement_be_met_in_city(), tab_gov::edit_effects(), government_found(), is_gov_req_active(), is_government_needed(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ impr_genus

enum impr_genus_id universals_u::impr_genus

Definition at line 633 of file fc_types.h.

Referenced by are_universals_equal(), impr_contra_genus(), improvement_found(), is_buildinggenus_req_active(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ max_tile_units

int universals_u::max_tile_units

Definition at line 635 of file fc_types.h.

Referenced by are_universals_equal(), is_maxunitsontile_req_active(), req_text_insert(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ min_hit_points

int universals_u::min_hit_points

Definition at line 637 of file fc_types.h.

Referenced by are_universals_equal(), is_minhitpoints_req_active(), req_text_insert(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ min_techs

int universals_u::min_techs

Definition at line 639 of file fc_types.h.

Referenced by are_universals_equal(), is_mintechs_req_active(), req_text_insert(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ mincalfrag

int universals_u::mincalfrag

Definition at line 619 of file fc_types.h.

Referenced by are_universals_equal(), is_mincalfrag_req_active(), req_text_insert(), sanity_check_req_individual(), tri_req_active_turns(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ minculture

int universals_u::minculture

Definition at line 616 of file fc_types.h.

Referenced by are_universals_equal(), is_minculture_req_active(), req_text_insert(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ minforeignpct

int universals_u::minforeignpct

Definition at line 617 of file fc_types.h.

Referenced by are_universals_equal(), is_minforeignpct_req_active(), req_text_insert(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ minmoves

int universals_u::minmoves

Definition at line 634 of file fc_types.h.

Referenced by are_requirements_contradictions(), are_universals_equal(), is_minmovefrags_req_active(), req_text_insert(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ minsize

int universals_u::minsize

Definition at line 615 of file fc_types.h.

Referenced by are_universals_equal(), is_minsize_req_active(), req_text_insert(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ minveteran

int universals_u::minveteran

Definition at line 636 of file fc_types.h.

Referenced by are_universals_equal(), is_minveteran_req_active(), req_text_insert(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ minyear

int universals_u::minyear

Definition at line 618 of file fc_types.h.

Referenced by are_universals_equal(), is_minyear_req_active(), req_text_insert(), tri_req_active_turns(), universal_by_number(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ nation

struct nation_type* universals_u::nation

Definition at line 599 of file fc_types.h.

Referenced by are_universals_equal(), dai_can_requirement_be_met_in_city(), is_nation_req_active(), nation_contra_group(), nation_found(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ nationality

struct nation_type* universals_u::nationality

Definition at line 600 of file fc_types.h.

Referenced by are_universals_equal(), is_nationality_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ nationgroup

struct nation_group* universals_u::nationgroup

Definition at line 607 of file fc_types.h.

Referenced by are_universals_equal(), is_nationgroup_req_active(), nation_contra_group(), nation_found(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ outputtype

Output_type_id universals_u::outputtype

Definition at line 620 of file fc_types.h.

Referenced by are_universals_equal(), extra_bonus_for_terrain(), is_outputtype_req_active(), output_type_found(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ roadflag

int universals_u::roadflag

Definition at line 627 of file fc_types.h.

Referenced by are_universals_equal(), extra_type_found(), is_roadflag_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ specialist

struct specialist* universals_u::specialist

Definition at line 601 of file fc_types.h.

Referenced by are_universals_equal(), dai_can_requirement_be_met_in_city(), is_specialist_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ ssetval

ssetv universals_u::ssetval

Definition at line 642 of file fc_types.h.

Referenced by are_universals_equal(), is_serversetting_req_active(), req_text_insert(), sanity_check_req_individual(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ style

struct nation_style* universals_u::style

Definition at line 608 of file fc_types.h.

Referenced by are_universals_equal(), is_style_req_active(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ techflag

int universals_u::techflag

Definition at line 626 of file fc_types.h.

Referenced by are_universals_equal(), is_techflag_req_active(), req_text_insert(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ terrain

struct terrain* universals_u::terrain

Definition at line 602 of file fc_types.h.

Referenced by help_widget::add_extras_of_act_for_terrain(), are_universals_equal(), city_map::context_menu(), tab_terrains::edit_effects(), is_terrain_needed(), is_terrain_req_active(), req_text_insert(), help_widget::set_topic_terrain(), terrain_type_found(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ terrainalter

int universals_u::terrainalter

Definition at line 622 of file fc_types.h.

Referenced by are_universals_equal(), is_terrainalter_req_active(), req_text_insert(), terrain_type_found(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ terrainclass

int universals_u::terrainclass

Definition at line 621 of file fc_types.h.

Referenced by are_universals_equal(), is_terrainclass_req_active(), req_text_insert(), terrain_type_found(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ terrainflag

int universals_u::terrainflag

Definition at line 625 of file fc_types.h.

Referenced by are_universals_equal(), is_terrainflag_req_active(), req_text_insert(), terrain_type_found(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ topo_property

enum topo_flag universals_u::topo_property

Definition at line 641 of file fc_types.h.

Referenced by are_universals_equal(), is_topology_req_active(), req_text_insert(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ uclass

struct unit_class* universals_u::uclass

Definition at line 603 of file fc_types.h.

Referenced by are_universals_equal(), is_unitclass_req_active(), req_text_insert(), unit_class_found(), unit_type_found(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ unit_state

enum ustate_prop universals_u::unit_state

Definition at line 631 of file fc_types.h.

Referenced by are_universals_equal(), is_req_knowable(), is_unitstate_req_active(), req_text_insert(), unit_state_action_cache_set(), universal_by_number(), universal_kind_values(), universal_name_translation(), universal_rule_name(), universal_value_initial(), ustate_found(), and utype_act_takes_all_mp_ustate_cache_set().

## ◆ unitclassflag

int universals_u::unitclassflag

Definition at line 623 of file fc_types.h.

Referenced by are_universals_equal(), is_unitclassflag_req_active(), req_text_insert(), unit_class_found(), unit_type_found(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ unitflag

int universals_u::unitflag

Definition at line 624 of file fc_types.h.

Referenced by are_universals_equal(), is_unitflag_req_active(), req_text_insert(), unit_type_found(), universal_kind_values(), universal_name_translation(), universal_rule_name(), and universal_value_initial().

## ◆ utype

const struct unit_type* universals_u::utype

Definition at line 604 of file fc_types.h.

Referenced by add_target_to_worklist(), adjust_ai_unit_choice(), adv_choice_rule_name(), adv_init_choice(), are_universals_equal(), can_city_build_direct(), can_city_build_later(), can_city_build_now(), cell_render_func(), choose_build_target(), cid_decode(), cid_encode(), city_build_unit(), city_choose_build_default(), city_dialog_update_building(), city_production_build_units(), city_production_buy_gold_cost(), city_production_caravan_shields_init(), city_production_gets_caravan_shields(), city_unit_present(), city_unit_supported(), client_change_all(), clipboard_copy_production(), collect_buildable_targets(), collect_eventually_buildable_targets(), dai_barbarian_choose_build(), dai_choose_attacker_air(), dai_choose_diplomat_defensive(), dai_choose_diplomat_offensive(), dai_choose_help_wonder(), dai_choose_paratrooper(), dai_choose_role_unit(), dai_choose_trade_route(), dai_city_choose_build(), dai_hunter_missile_want(), dai_process_defender_want(), dai_spend_gold(), dai_unit_consider_bodyguard(), disband_city(), eco_report::disband_units(), domestic_advisor_choose_build(), drag_begin(), economy_report_command_callback(), tab_unit::edit_effects(), eval_hunter_want(), get_city_dialog_production_row(), get_production_name(), get_target_help_data(), get_tooltip(), help_callback(), is_unittype_req_active(), is_utype_needed(), kill_something_with(), military_advisor_choose_build(), name_and_sort_items(), city_production_delegate::paint(), city_production_model::populate(), process_attacker_want(), production_help(), real_city_report_dialog_update_city(), really_handle_city_buy(), redraw_city_dialog(), req_text_insert(), send_rally_tile(), set_global_worklist(), progress_bar::set_pixmap(), target_get_section(), unit_type_found(), universal_build_shield_cost(), universal_kind_values(), universal_name_translation(), universal_rule_name(), universal_value_initial(), city_dialog::update_improvements(), upgrade_canvas_clipboard(), upgrade_unit_prod(), wl_help_from_iter(), worklist_change_build_target(), and worklist_item_postpone_req_vec().